Bug 293191 - RFE: start disk encryption before rhgb
RFE: start disk encryption before rhgb
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-17 09:00 EDT by David Cantrell
Modified: 2014-03-16 23:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 17:15:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/rc.d/rc patch (1.87 KB, patch)
2008-04-09 13:12 EDT, Matthew Hall
no flags Details | Diff

  None (edit)
Description David Cantrell 2007-09-17 09:00:26 EDT
The "Starting disk encryption:" section in rc.sysinit should run before rhgb
starts up.  Right now if you are using rhgb, the system boots up, rhgb starts,
then it drops back to the console to prompt for your LUKS passphrase if if you
have encrypted volumes configured.  You enter the passphrase, then it goes back
to rhgb.

If disk encryption was started right after udev and then rhgb started up, it
would be a little nicer during bootup.  Either that or providing some way to
prompt for the passphrase via rhgb, but I'm not sure how that would work either.
Comment 1 Bill Nottingham 2007-09-17 23:15:51 EDT
Hm, there are other bugs requesting that there be a GUI for this. Which to do...

If we did this, we would need to move LVM, MD, and fsck earlier as well, which
we really don't want to do.
Comment 2 Matthew Hall 2008-04-09 13:12:11 EDT
Created attachment 301851 [details]
/etc/rc.d/rc patch

I didn't like that rhgb started and then fell back to terminal (and never went
back) so I simply modified /etc/rc.d/rc (patch attached) which moves the rhgb
start to just after the luksOpen. 

Of course - a graphical passphrase entry would be *much* better (I assume this
means hacking luks to call out to rhgb...)
Comment 3 Jon Stanley 2008-04-23 16:28:36 EDT
Adding FutureFeature keyword to RFE's.
Comment 4 Bill Nottingham 2008-05-16 17:15:50 EDT
This will be solved by (in the future) adding a graphical passphrase dialog to
the rhgb replacement. Closing as 'WONTFIX' as specified, although the
functionality is being looked at.

Note You need to log in before you can comment on or make changes to this bug.